extends ../index

block css
  link(rel='icon' type='image/png' href='public/stylestux/images/icons/favicon.ico')
  link(rel='stylesheet' type='text/css' href='public/stylestux/vendor/bootstrap/css/bootstrap.min.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/fonts/font-awesome-4.7.0/css/font-awesome.min.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/fonts/iconic/css/material-design-iconic-font.min.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/vendor/animate/animate.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/vendor/css-hamburgers/hamburgers.min.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/vendor/animsition/css/animsition.min.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/vendor/select2/select2.min.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/vendor/daterangepicker/daterangepicker.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/css/util.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/css/main.css')
  link(rel='stylesheet' type='text/css' href='public/stylestux/css/news.css')

block body

  section.info
  
    h1
      if session
        | Noticias del dia
      else
        | Noticias del dia
  section.cards-wrapper


    -for (var i = 0; i < my_news.length; i++)
      .card-grid-space
        a.card(href='/new_detail/'+my_news[i]._id style=`--bg-img: url(${my_news[i].body[0]})`)
          div
            br
            //- h5 #{my_news[i]._id}
            h1 #{my_news[i].title}
            p
              | #{my_news[i].body[1]}
            br
            .date #{my_news[i].createdAt}
            .tags
              .tag Ver noticia

        //- If que analizará si el usuario es admin
     
        - if (session != "" && session.isAdmin){
          form(action='/news_update_page/'+my_news[i]._id method='get')
            .form-group
              input#form11.form-control(type='submit' value='Actualizar noticia')
          form(action='/news_remove/'+my_news[i]._id method='post')
            .form-group
              input#form11.form-control(type='submit' value='Borrar Noticia')
        -}

  if(session)
    input#userid(type="hidden" value=session._id)
    input#username(type="hidden" value=session.nombre)
    textarea.form-control.mb-4(rows="4" style="resize:none" id="aeaw" placeholder="COMENTARIOS")
    button.btn.btn-primary.mb-4#button comentar
  
  h1 comentarios:
  div.coment#coments
    each comment in comments
      .mb-4.w-50
        .card-header
          .d-flex.justify-content-between
            h4 #{comment.nombre_user}
            p ... #{comment.createdAt}
        .card-body
          p.card-text #{comment.body}



block scripts
  script(src='public/stylestux/vendor/jquery/jquery-3.2.1.min.js')
  script(src='public/stylestux/vendor/animsition/js/animsition.min.js')
  script(src='public/stylestux/vendor/bootstrap/js/popper.js')
  script(src='public/stylestux/vendor/bootstrap/js/bootstrap.min.js')
  script(src='public/stylestux/vendor/select2/select2.min.js')
  script(src='public/stylestux/vendor/daterangepicker/moment.min.js')
  script(src='public/stylestux/vendor/daterangepicker/daterangepicker.js')
  script(src='public/stylestux/vendor/countdowntime/countdowntime.js')
  script(src='public/stylestux/js/main.js')
  script(src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.min.js")
  script(src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.26.0/moment-with-locales.min.js")
  script.
    const $text = document.querySelector("#aeaw")
    const $button = document.querySelector("#button")
    const $coments = document.querySelector("#coments")
    const $userid = document.querySelector("#userid")
    const $username = document.querySelector("#username")
    moment.locale("es")

    $button.addEventListener("click", e => {
      sendComentario($userid.value, $text.value, $username.value)
        const child = htmlToElement(`
          <div class="mb-4 w-50">
            <div class="card-header">
              <div class="d-flex justify-content-between">
                <h4>${$username.value}</h4>
                <p>...${(moment(new Date()).fromNow())}</p>
              </div>
            </div>
            <div class="card-body">
              <p class="card-text">${$text.value}</p>
            </div>
          </div>

        `)
        $coments.insertBefore(child, $coments.firstChild);
        $text.value = ""
    })

    $text.addEventListener("keyup", (e) => {
      e.preventDefault()
      if(e.key == "Enter") {
        sendComentario($userid.value, $text.value, $username.value)
        const child = htmlToElement(`
          <div class="mb-4 w-50">
            <div class="card-header">
              <div class="d-flex justify-content-between">
                <h4>${$username.value}</h4>
                <p>... ${moment(new Date()).fromNow()}</p>
              </div>
            </div>
            <div class="card-body">
              <p class="card-text">${$text.value}</p>
            </div>
          </div>

        `)
        $coments.insertBefore(child, $coments.firstChild);
        $text.value = ""
      }
    })

    function htmlToElement(html) {
      let template = document.createElement('template');
      html = html.trim(); // Never return a text node of whitespace as the result
      template.innerHTML = html;
      return template.content.firstChild;
    }

    function sendComentario(usuario, body, nombre) {
      axios.post("/commun", {
        _user: usuario,
        body: body,
        nombre_user: nombre
      })
      .then(res => console.log(res))
      .catch(err => console.log(err))
    }



